# The MongoInsertBatch class

(PECL mongo >=1.5.0)

## Introduction

Constructs a batch of INSERT operations. See MongoWriteBatch.

## Class synopsis

MongoInsertBatch extends MongoWriteBatch {
/* Methods */
public __construct ( MongoCollection `$collection` [, array `$write_options` ] )
/* Inherited methods */
public MongoWriteBatch::add ( array `$item` ) : bool
final public MongoWriteBatch::execute ( array `$write_options` ) : array
}

## Table of Contents

- MongoInsertBatch::__construct — Description